summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryanpcmcquen@gmail.com>2014-10-18 05:13:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-18 05:13:20 +0700
commit24a8c1205890877d0a7fde08f7783909740195df (patch)
treecc07080dba08e57f685b1a5583478ac8e6bc77a3
parente26937ca5e5554f419f3e90907e3af22c4758beb (diff)
downloadslackbuilds-24a8c1205890877d0a7fde08f7783909740195df.tar.gz
slackbuilds-24a8c1205890877d0a7fde08f7783909740195df.tar.xz
audio/patchage: Added (a modular patch bay for audio).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/patchage/README4
-rw-r--r--audio/patchage/doinst.sh3
-rw-r--r--audio/patchage/patchage.SlackBuild97
-rw-r--r--audio/patchage/patchage.info10
-rw-r--r--audio/patchage/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/audio/patchage/README b/audio/patchage/README
new file mode 100644
index 0000000000..cc90985b94
--- /dev/null
+++ b/audio/patchage/README
@@ -0,0 +1,4 @@
+Patchage is a modular patch bay for audio and
+MIDI systems based on Jack and Alsa.
+
+jack-audio-connection-kit is an optional build dependency.
diff --git a/audio/patchage/doinst.sh b/audio/patchage/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/patchage/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/patchage/patchage.SlackBuild b/audio/patchage/patchage.SlackBuild
new file mode 100644
index 0000000000..2714e6069c
--- /dev/null
+++ b/audio/patchage/patchage.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+#
+# Slackware build script for patchage
+#
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=patchage
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./waf configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+./waf
+./waf install --destdir=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/patchage/patchage.info b/audio/patchage/patchage.info
new file mode 100644
index 0000000000..bd4c617311
--- /dev/null
+++ b/audio/patchage/patchage.info
@@ -0,0 +1,10 @@
+PRGNAM="patchage"
+VERSION="1.0.0"
+HOMEPAGE="http://drobilla.net/software/patchage/"
+DOWNLOAD="http://download.drobilla.net/patchage-1.0.0.tar.bz2"
+MD5SUM="d16a3fc045faff7fd70f3b4769b65698"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ganv"
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/audio/patchage/slack-desc b/audio/patchage/slack-desc
new file mode 100644
index 0000000000..052a7b6540
--- /dev/null
+++ b/audio/patchage/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+patchage: patchage (a modular patch bay for audio)
+patchage:
+patchage: Patchage is a modular patch bay for audio and
+patchage: MIDI systems based on Jack and Alsa.
+patchage:
+patchage: You must have jack-audio-connection-kit
+patchage: installed before compiling to support it.
+patchage:
+patchage: http://drobilla.net/software/patchage/
+patchage:
+patchage: